Bug 1008645 - oo-admin-upgrade upgrade-node ignores --ignore-cartridge-version
oo-admin-upgrade upgrade-node ignores --ignore-cartridge-version
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan Mace
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-16 14:16 EDT by Dan McPherson
Modified: 2015-05-14 19:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-17 09:29:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan McPherson 2013-09-16 14:16:06 EDT
Description of problem:

oo-admin-upgrade upgrade-node ignores --ignore-cartridge-version

which caused us not to test upgrades before the stage release.


Version-Release number of selected component (if applicable):


How reproducible:
100%


Steps to Reproduce:
1. oo-admin-upgrade upgrade-node --ignore-cartridge-version --version 2.0.33
2.
3.

Actual results:
Doesn't upgrade all carts


Expected results:
Should upgrade all carts


Additional info:
Comment 2 openshift-github-bot 2013-10-01 19:38:31 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/4187754fbd92550954c6cc6fed7bbdeabfb96422
Bug 1008645: Fix --ignore-cartridge-version update option

Fix --ignore-cartridge-version argument to be effective per execution rather
than a cached property of the upgrade.
Comment 3 Meng Bo 2013-10-08 01:37:22 EDT
Tested on devenv-stage_488, add test env to the cartridge env/ dir and do not change the version of the cartridge.
Use --ignore-cartridge-version to upgrade the node, the test env can be found in all the gears.

Move bug to verified.

Note You need to log in before you can comment on or make changes to this bug.